Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.datetime
Class DateTime

    java.lang.Object
      org.apache.james.mime4j.field.datetime.DateTime

    public class DateTime

extends java.lang.Object

Constructor Summary
`DateTime(java.lang.String yearString, int month, int day, int hour, int minute, int second, int timeZone)`

Method Summary
`static java.util.Date` | `convertToDate(int year, int month, int day, int hour, int minute, int second, int timeZone)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Date` | `getDate()`
`int` | `getDay()`
`int` | `getHour()`
`int` | `getMinute()`
`int` | `getMonth()`
`int` | `getSecond()`
`int` | `getTimeZone()`
`int` | `getYear()`
`int` | `hashCode()`
`void` | `print()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateTime

    public DateTime(java.lang.String yearString,
                    int month,
                    int day,
                    int hour,
                    int minute,
                    int second,
                    int timeZone)

Method Detail

### convertToDate

    public static java.util.Date convertToDate(int year,
                                               int month,
                                               int day,
                                               int hour,
                                               int minute,
                                               int second,
                                               int timeZone)

### getDate

    public java.util.Date getDate()

### getYear

    public int getYear()

### getMonth

    public int getMonth()

### getDay

    public int getDay()

### getHour

    public int getHour()

### getMinute

    public int getMinute()

### getSecond

    public int getSecond()

### getTimeZone

    public int getTimeZone()

### print

    public void print()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.